<?xml version="1.0"?>

<!--   FILE: fn_top.xslt - -->
<!-- AUTHOR: W. Michael Petullo (mike@flyn.org) -->
<!--   DATE: 27 June 2002 -->

<!-- Copyright (C) 2002 W. Michael Petullo (mike@flyn.org) -->
<!-- All rights reserved. -->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="text"/>

<xsl:template match="/">
	<xsl:apply-templates/>
</xsl:template>

<xsl:template match="usage">
	<xsl:text>void parse_args(int argc, char *argv[], settings_t * settings)
{
	char c;
	int opt_index = 0;
	struct option opts[] = {
</xsl:text>
	<xsl:apply-templates select="option"/>
	<xsl:apply-templates select="argument"/>
	<xsl:text>		{0, 0, 0, 0}
	};

</xsl:text>
</xsl:template>

<xsl:template match="usage/option">
	<xsl:text>		{"</xsl:text>
	<xsl:value-of select="name"/>
	<xsl:text>", 0, 0, '</xsl:text>
	<xsl:value-of select="substring (name, 1, 1)"/>
	<xsl:text>'},
</xsl:text>
</xsl:template>

<xsl:template match="usage/argument">
	<xsl:text>		{"</xsl:text>
	<xsl:value-of select="name"/>
	<xsl:text>", 1, 0, '</xsl:text>
	<xsl:value-of select="substring (name, 1, 1)"/>
	<xsl:text>'},
</xsl:text>
</xsl:template>

</xsl:stylesheet>
