#include <getopt.h>

typedef struct settings_t {
	int force;
	char * output;
} settings_t;

char *usage_test= "
  -f, --force	force the operation
  -o, --output	filename of the file to create
";
	
void parse_args(int argc, char *argv[], settings_t * settings)
{
	char c;
	int opt_index = 0;
	struct option opts[] = {
		{"force", 0, 0, 'f'},
		{"output", 1, 0, 'o'},
		{0, 0, 0, 0}
	};

	while ((c = getopt_long(argc, argv, "fo:", opts, &opt_index)) >= 0) {
		switch (c) {
		case 'f':
			settings->force = 1;
			break;
		case 'o':
			settings->output = optarg;
			break;
		}
	}
}
