<?xml version="1.0"?>

<!--   FILE: while.xslt - -->
<!-- AUTHOR: W. Michael Petullo (mike@flyn.org) -->
<!--   DATE: 27 June 2002 -->

<!-- Copyright (C) 2002 W. Michael Petullo (mike@flyn.org) -->
<!-- All rights reserved. -->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="text"/>

<xsl:template match="/">
	<xsl:apply-templates/>
</xsl:template>

<xsl:template match="usage">
	<xsl:text>	while ((c = getopt_long(argc, argv, "</xsl:text>
	<xsl:apply-templates select="option"/>
	<xsl:apply-templates select="argument"/>
	<xsl:text>", opts, &amp;opt_index)) &gt;= 0) {
	</xsl:text>
	<xsl:apply-templates select="footer"/>
</xsl:template>

<xsl:template match="usage/option">
	<xsl:value-of select="substring (name, 1, 1)"/>
</xsl:template>

<xsl:template match="usage/argument">
	<xsl:value-of select="substring (name, 1, 1)"/>
	<xsl:text>:</xsl:text>
</xsl:template>

</xsl:stylesheet>
